org.apache.ignite.ml.selection.scoring.metric

## Enum MetricName

- java.lang.Object
- - java.lang.Enum<MetricName>
  - - org.apache.ignite.ml.selection.scoring.metric.MetricName

- All Implemented Interfaces:
    Serializable, Comparable<MetricName>

      public enum MetricName
      extends Enum<MetricName>

  Enum for all metrics aggregation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCURACY` Accuracy.
    `BALANCED_ACCURACY` Balanced accuracy.
    `F_MEASURE` F measure.
    `FALL_OUT` FallOut.
    `FALSE_NEGATIVE` FN.
    `FALSE_POSITIVE` FP.
    `FDR` FDR.
    `MAE` Mae.
    `MISS_RATE` Miss Rate.
    `MSE` Mse.
    `NPV` NPV.
    `PRECISION` Precision.
    `R2` R 2.
    `RECALL` Recall.
    `RMSE` Rmse.
    `RSS` Rss.
    `SPECIFICITY` Specificity.
    `TRUE_NEGATIVE` TN.
    `TRUE_POSITIVE` TP.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Metric` | `create()` Creates an instance of metric class by name.
    `String` | `getPrettyName()` Returns pretty name.
    `static MetricName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MetricName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCURACY

          public static final MetricName ACCURACY

      Accuracy.

    - #### PRECISION

          public static final MetricName PRECISION

      Precision.

    - #### RECALL

          public static final MetricName RECALL

      Recall.

    - #### F_MEASURE

          public static final MetricName F_MEASURE

      F measure.

    - #### TRUE_POSITIVE

          public static final MetricName TRUE_POSITIVE

      TP.

    - #### TRUE_NEGATIVE

          public static final MetricName TRUE_NEGATIVE

      TN.

    - #### FALSE_NEGATIVE

          public static final MetricName FALSE_NEGATIVE

      FN.

    - #### FALSE_POSITIVE

          public static final MetricName FALSE_POSITIVE

      FP.

    - #### SPECIFICITY

          public static final MetricName SPECIFICITY

      Specificity.

    - #### NPV

          public static final MetricName NPV

      NPV.

    - #### FALL_OUT

          public static final MetricName FALL_OUT

      FallOut.

    - #### FDR

          public static final MetricName FDR

      FDR.

    - #### MISS_RATE

          public static final MetricName MISS_RATE

      Miss Rate.

    - #### BALANCED_ACCURACY

          public static final MetricName BALANCED_ACCURACY

      Balanced accuracy.

    - #### MAE

          public static final MetricName MAE

      Mae.

    - #### R2

          public static final MetricName R2

      R 2.

    - #### RMSE

          public static final MetricName RMSE

      Rmse.

    - #### RSS

          public static final MetricName RSS

      Rss.

    - #### MSE

          public static final MetricName MSE

      Mse.

  - ### Method Detail

    - #### values

          public static MetricName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetricName c : MetricName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetricName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### create

          public Metric create()

      Creates an instance of metric class by name.
      Returns:
        Metric instance.

    - #### getPrettyName

          public String getPrettyName()

      Returns pretty name.
      Returns:
        Name of metric.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023